Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services.ajax
Class SingleZonePartialRendererFilter

    java.lang.Object
      org.apache.tapestry5.internal.services.ajax.SingleZonePartialRendererFilter

All Implemented Interfaces:
  PartialMarkupRendererFilter

    public class SingleZonePartialRendererFilter

extends java.lang.Object
implements PartialMarkupRendererFilter

Responsible for capturing the content for a single zone and storing it into the JSON reply object. As a `PartialMarkupRendererFilter` , this has access to the `JSONObject` for the reply, and can add renderers that generate and package the markup content.

Since:
  5.1.0.1
See Also:
  `MultiZoneUpdate`, `AjaxResponseRenderer.addRender(String, Object)`

Constructor Summary
`SingleZonePartialRendererFilter(java.lang.String zoneId, RenderCommand zoneRenderCommand, PageRenderQueue queue, AjaxFormUpdateController ajaxFormUpdateController)`

Method Summary
`void` | `renderMarkup(MarkupWriter writer, JSONObject reply, PartialMarkupRenderer renderer)` Implementations should perform work before or after passing the writer to the renderer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleZonePartialRendererFilter

    public SingleZonePartialRendererFilter(java.lang.String zoneId,
                                           RenderCommand zoneRenderCommand,
                                           PageRenderQueue queue,
                                           AjaxFormUpdateController ajaxFormUpdateController)

Method Detail

### renderMarkup

    public void renderMarkup(MarkupWriter writer,
                             JSONObject reply,
                             PartialMarkupRenderer renderer)

  Description copied from interface: `PartialMarkupRendererFilter`
  Implementations should perform work before or after passing the writer to the renderer.

  Specified by:
    `renderMarkup` in interface `PartialMarkupRendererFilter`
  Parameters:
    `writer` - to which markup should be written
    `reply` - JSONObject which will contain the partial response
    `renderer` - delegate to which the writer should be passed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.